# Packages

Packages

 - [GET /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/listpackages.md): This method will scan all packages and and return them to the caller.
 - [POST /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/createpackage.md): This method will auto-generate an ID and create a new package. If an ID is specified for the package, an error will be thrown.
 - [POST /packages/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [POST /packages/{tenantId}/public/onlineStore](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/getpackagesforonlinestore.md): Public endpoint that gets packages for use in the online store
 - [DELETE /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/deletepackage.md): This method will delete a package with the specified ID.
 - [GET /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/getpackage.md): This method will look up a package by the specified ID and return it back.
 - [PATCH /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/patchpackage.md): This method will patch an existing package with the specified ID, using the HTTP PATCH specification.
 - [PUT /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/updatepackage.md): This method will update an existing package with the specified ID.
